Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class Relationship

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.Relationship

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieRelationship

    public class Relationship

extends TieSystemObject

An instance of Relationship can link (or relate) two public objects to each other. The relationship can be viewed as an arrow drawn from one object to the other; in this relationship one object "points" to the other. This implies a direction to the relationship and this class supports that concept.

You can have a single object related to many other objects. In addition, you can have different types of relationships by using sublcasses of the Relationship class. For example, Folders references are implemented using the FolderPathRelationship class which relates a Folder to the items it "contains".

The PublicObject class has a number of methods that facilitate the use of instances of relationship.

See Also:
  `PublicObject`
(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `LEFTOBJECT_ATTRIBUTE` The source (left) object of the Relationship.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of the Relationship.
`static java.lang.String` | `RIGHTOBJECT_ATTRIBUTE` The source (right) object of the Relationship.
`static java.lang.String` | `SORTSEQUENCE_ATTRIBUTE` A sort sequence number for the Relationship.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `Relationship(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a Relationship object - standard variant.

Method Summary
`protected static Relationship` | `constructRelationship(LibrarySession sess, S_LibraryObjectData data)` Return Relationship from a Relationship data
`protected static java.util.Vector` | `constructRelationshipVector(LibrarySession sess, java.util.Vector vector)` Retruns a vector of relationships.
`PublicObject` | `getLeftObject()` returns the public object of the "left" side of this relationship
`PublicObject` | `getRightObject()` returns the public object of the "right" side of this relationship
`long` | `getSortSequence()` Determine the sort sequence.
`boolean` | `hasNameAttribute()` Override to return true for any PublicObject, indicating that the instance has a NAME attribute.
`protected static Relationship[]` | `vectorToRelationshipArray(java.util.Vector vector)` Return Relationship Vector from a Vector of Relationship.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `Relationship`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `Relationship`
  The name of the Relationship.

  See Also:
    Constant Field Values
  (Published)

### LEFTOBJECT_ATTRIBUTE

    public static final java.lang.String LEFTOBJECT_ATTRIBUTE

  Description copied from class: `Relationship`
  The source (left) object of the Relationship.

  See Also:
    Constant Field Values
  (Published)

### RIGHTOBJECT_ATTRIBUTE

    public static final java.lang.String RIGHTOBJECT_ATTRIBUTE

  Description copied from class: `Relationship`
  The source (right) object of the Relationship.

  See Also:
    Constant Field Values
  (Published)

### SORTSEQUENCE_ATTRIBUTE

    public static final java.lang.String SORTSEQUENCE_ATTRIBUTE

  Description copied from class: `Relationship`
  A sort sequence number for the Relationship. The SortSequence attribute may be used to order relationships between a single left object and multiple right objects.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### Relationship

    protected Relationship(LibrarySession session,
                           java.lang.Long id,
                           java.lang.Long classId,
                           S_LibraryObjectData data)
                    throws IfsException

  Construct a Relationship object - standard variant.

  Parameters:
    `session` - current LibSession
    `id` - the object ID
    `classId` - int array version of the object ID
    `data` - the object's data
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `Relationship`
  Override to return true for any PublicObject, indicating that the instance has a NAME attribute.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getLeftObject

    public PublicObject getLeftObject()
                               throws IfsException

  Description copied from class: `Relationship`
  returns the public object of the "left" side of this relationship

  Returns:
    the public object of the "left" side of this relationship
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getRightObject

    public PublicObject getRightObject()
                                throws IfsException

  Description copied from class: `Relationship`
  returns the public object of the "right" side of this relationship

  Returns:
    the public object of the "right" side of this relationship
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getSortSequence

    public long getSortSequence()
                         throws IfsException

  Description copied from class: `Relationship`
  Determine the sort sequence.

  Returns:
    The sort sequence.
  Throws:
    `IfsException` - If the operation fails.
  (Published)

### vectorToRelationshipArray

    protected static Relationship[] vectorToRelationshipArray(java.util.Vector vector)

  Description copied from class: `Relationship`
  Return Relationship Vector from a Vector of Relationship.

  (Unpublished)

### constructRelationshipVector

    protected static java.util.Vector constructRelationshipVector(LibrarySession sess,
                                                                  java.util.Vector vector)
                                                           throws IfsException

  Description copied from class: `Relationship`
  Retruns a vector of relationships.

  Throws:
    `IfsException`
  (Unpublished)

### constructRelationship

    protected static Relationship constructRelationship(LibrarySession sess,
                                                        S_LibraryObjectData data)
                                                 throws IfsException

  Description copied from class: `Relationship`
  Return Relationship from a Relationship data

  Throws:
    `IfsException`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD